Create a new part

Creates a new part with the provided properties. Returns the created part including its generated ID. Responds with 409 if a part with the same number already exists.

Body Params
string
required

The part's display name.

string

The part's description.

string
required

The part's unique number.

string

The part's external reference.

number

The part's price per unit.

number

The part's minimum stock.

distributorOrganizationIds
array of strings

The internal IDs of the organizations that will be assigned as distributors to the part.

distributorOrganizationIds
distributorOrganizationNumbers
array of strings

The unique numbers of the organizations that will be assigned as distributors to the part.

distributorOrganizationNumbers
string

The internal ID of the organization that will be assigned as the manufacturer to the part.

string

The unique number of the organization that will be assigned as the manufacturer to the part.

relatedAssetIds
array of strings

The internal IDs of the assets that contain that part in their BOM.

relatedAssetIds
relatedAssetNumbers
array of strings

The unique numbers of the assets that contain that part in their BOM.

relatedAssetNumbers
relatedAssetTypeIds
array of strings

The internal IDs of the asset types that contain that part in their BOM.

relatedAssetTypeIds
relatedAssetTypeLabels
array of strings

The labels of the asset types that contain that part in their BOM.

relatedAssetTypeLabels
customPropertyValues
array of objects
customPropertyValues
Responses

400

Bad Request

403

Forbidden

404

Not Found

409

Duplicate part number

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json